org.eclipse.ease.debugging

## Class ScriptDebugElement

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.debug.core.model.DebugElement
    - - org.eclipse.ease.debugging.ScriptDebugElement

All Implemented Interfaces:
  IAdaptable, IDebugElement, IDisconnect, IStep, ISuspendResume, ITerminate

Direct Known Subclasses:
  ScriptDebugProcess, ScriptDebugStackFrame, ScriptDebugTarget, ScriptDebugThread, ScriptDebugValue, ScriptDebugVariable

    public abstract class ScriptDebugElement
    extends DebugElement
    implements ITerminate, ISuspendResume, IDisconnect, IStep

### Constructor Summary

Constructors
Constructor and Description
`ScriptDebugElement(ScriptDebugTarget target)`

### Method Summary

Methods
`boolean` `canDisconnect()`
`boolean` `canResume()`
`boolean` `canStepInto()`
`boolean` `canStepOver()`
`boolean` `canStepReturn()`
`boolean` `canSuspend()`
`boolean` `canTerminate()`
`void` `disconnect()`
`ScriptDebugTarget` `getDebugTarget()`
`String` `getModelIdentifier()`
`boolean` `isDisconnected()`
`void` `resume()`
`void` `stepInto()`
`void` `stepOver()`
`void` `stepReturn()`
`void` `suspend()`
`void` `terminate()`

### Methods inherited from class org.eclipse.debug.core.model.DebugElement

`fireChangeEvent, fireCreationEvent, fireEvent, fireResumeEvent, fireSuspendEvent, fireTerminateEvent, getAdapter, getLaunch`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.debug.core.model.ITerminate

`isTerminated`

### Methods inherited from interface org.eclipse.debug.core.model.ISuspendResume

`isSuspended`

### Methods inherited from interface org.eclipse.debug.core.model.IStep

`isStepping`

### Constructor Detail

#### ScriptDebugElement

    public ScriptDebugElement(ScriptDebugTarget target)

### Method Detail

#### getDebugTarget

    public ScriptDebugTarget getDebugTarget()

Specified by:
  `getDebugTarget` in interface `IDebugElement`
Overrides:
  `getDebugTarget` in class `DebugElement`

#### getModelIdentifier

    public String getModelIdentifier()

Specified by:
  `getModelIdentifier` in interface `IDebugElement`

#### canTerminate

    public boolean canTerminate()

Specified by:
  `canTerminate` in interface `ITerminate`

#### terminate

    public void terminate()
                   throws DebugException

Specified by:
  `terminate` in interface `ITerminate`
Throws:
  `DebugException`

#### canResume

    public boolean canResume()

Specified by:
  `canResume` in interface `ISuspendResume`

#### canSuspend

    public boolean canSuspend()

Specified by:
  `canSuspend` in interface `ISuspendResume`

#### resume

    public void resume()
                throws DebugException

Specified by:
  `resume` in interface `ISuspendResume`
Throws:
  `DebugException`

#### suspend

    public void suspend()
                 throws DebugException

Specified by:
  `suspend` in interface `ISuspendResume`
Throws:
  `DebugException`

#### canDisconnect

    public boolean canDisconnect()

Specified by:
  `canDisconnect` in interface `IDisconnect`

#### disconnect

    public void disconnect()
                    throws DebugException

Specified by:
  `disconnect` in interface `IDisconnect`
Throws:
  `DebugException`

#### isDisconnected

    public boolean isDisconnected()

Specified by:
  `isDisconnected` in interface `IDisconnect`

#### canStepInto

    public boolean canStepInto()

Specified by:
  `canStepInto` in interface `IStep`

#### canStepOver

    public boolean canStepOver()

Specified by:
  `canStepOver` in interface `IStep`

#### canStepReturn

    public boolean canStepReturn()

Specified by:
  `canStepReturn` in interface `IStep`

#### stepInto

    public void stepInto()
                  throws DebugException

Specified by:
  `stepInto` in interface `IStep`
Throws:
  `DebugException`

#### stepOver

    public void stepOver()
                  throws DebugException

Specified by:
  `stepOver` in interface `IStep`
Throws:
  `DebugException`

#### stepReturn

    public void stepReturn()
                    throws DebugException

Specified by:
  `stepReturn` in interface `IStep`
Throws:
  `DebugException`